Rapid7 Vulnerability & Exploit Database

USN-2611-1: Linux kernel vulnerability

Back to Search

USN-2611-1: Linux kernel vulnerability

Severity
5
CVSS
(AV:L/AC:L/Au:N/C:N/I:N/A:C)
Published
05/20/2015
Created
07/25/2018
Added
05/21/2015
Modified
07/09/2020

Description

include/net/netfilter/nf_conntrack_extend.h in the netfilter subsystem in the Linux kernel before 3.14.5 uses an insufficiently large data type for certain extension data, which allows local users to cause a denial of service (NULL pointer dereference and OOPS) via outbound network traffic that triggers extension loading, as demonstrated by configuring a PPTP tunnel in a NAT environment.

Solution(s)

  • ubuntu-upgrade-linux-image-3-2-0-84-generic
  • ubuntu-upgrade-linux-image-3-2-0-84-generic-pae
  • ubuntu-upgrade-linux-image-3-2-0-84-highbank
  • ubuntu-upgrade-linux-image-3-2-0-84-omap
  • ubuntu-upgrade-linux-image-3-2-0-84-powerpc-smp
  • ubuntu-upgrade-linux-image-3-2-0-84-powerpc64-smp
  • ubuntu-upgrade-linux-image-3-2-0-84-virtual

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;